# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-04-20 19:13
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='DailyProduction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date', models.DateField()),
                ('energy', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='HourlyProduction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('datetime', models.DateTimeField()),
                ('energy', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Inverter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('ref', models.CharField(max_length=100)),
            ],
        ),
        migrations.AddField(
            model_name='hourlyproduction',
            name='inverter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='powerproduction.Inverter'),
        ),
        migrations.AddField(
            model_name='dailyproduction',
            name='inverter',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='powerproduction.Inverter'),
        ),
    ]
